Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 267)
@@ -1058,5 +1091,66 @@
             }
         }
         #endregion
+
+        #region 管理マスタ：営業期・工事年度変更
+        /// <summary>
+        /// 管理マスタ：営業期・工事年度変更
+        /// </summary>
+        /// <returns></returns>
+        private bool UpDateSystemMaster()
+        {
+            IOMSystem SystemDB = new IOMSystem();
+            try
+            {
+                SystemDB.connect(); SystemDB.beginTran();
+                StringBuilder strSQL = new StringBuilder();
+
+                // 営業期更新
+                strSQL.Append("Select SystemCode, BusinessPeriod, BusinessBeginningDate From systemmaster");
+                strSQL.Append(" Where DATE_FORMAT(NOW(), '%m/%d') = BusinessBeginningDate");
+                ArrayList arList = new ArrayList();
+                if (SystemDB.ExecuteReader(strSQL.ToString(), ref arList, false) && arList.Count > 0)
+                {
+                    object[] objRec = (object[])arList[0];
+                    int syscode = CommonMotions.cnvInt(objRec[0]);
+                    int BusinessPeriod = CommonMotions.cnvInt(objRec[1]);
+                    if (!SystemDB.UpdateFeild(syscode, (int)IOMSystem.SystemColumn.BUSINESSPERIOD, ++BusinessPeriod, false))
+                    {
+                        SystemDB.rollback();
+                        return false;
+                    }
+                }
+
+                // 工事年度更新
+                strSQL.Clear();
+                strSQL.Append("Select SystemCode, ConstructionYear, ConstructionBeginningDate From systemmaster");
+                strSQL.Append(" Where DATE_FORMAT(NOW(), '%m/%d') = ConstructionBeginningDate");
+                arList.Clear();
+                if (SystemDB.ExecuteReader(strSQL.ToString(), ref arList, false) && arList.Count > 0)
+                {
+                    object[] objRec = (object[])arList[0];
+                    int syscode = CommonMotions.cnvInt(objRec[0]);
+                    int ConstrBeginDate = CommonMotions.cnvInt(objRec[1]);
+                    if (!SystemDB.UpdateFeild(syscode, (int)IOMSystem.SystemColumn.ConstructionYear, ++ConstrBeginDate, false))
+                    {
+                        SystemDB.rollback();
+                        return false;
+                    }
+                }
+
+                SystemDB.commit();
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                SystemDB.close(); SystemDB = null;
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBaseInfo.cs	(revision 267)
@@ -990,7 +990,7 @@
                 int MaxCode = 0;
                 // 営業期・工事年は管理マスタの選択により設定する
                 StringBuilder strWhere = new StringBuilder();
-                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)CommonDefine.SystemConstructionNoBase.BusinessPeriod)
+                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)SystemMaster.ConstrNoBaseDef.BusinessPeriod)
                 {   // 営業期
                     GetBaseCounstructionCode(true, PeriodValue,ref MinCode, ref  MaxCode);
                 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 267)
@@ -91,20 +91,21 @@
         private string CreateSelectSQL()
         {
             // SQL作成
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
 
-            strcmd += "  ConstructionCode";                                 // 工事番号
-            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";     // 議事録作成日
-            strcmd += " ,StartMeetingTime";                                 // 会議時間開始
-            strcmd += " ,EndMeetingTime";                                   // 会議時間終了
-            strcmd += " ,CreatorCode";                                      // 作成者コード
-            strcmd += " ,PalceFlag";                                        // 現地フラグ
-            strcmd += " ,MeetingPalce";                                     // 打合せ場所
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
-            strcmd += " FROM ProceedingsData";
+            strcmd.Append("SELECT");
+            strcmd.Append("  ConstructionCode");                                 // 工事番号
+            strcmd.Append(" ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')");     // 議事録作成日
+            strcmd.Append(" ,StartMeetingTime");                                 // 会議時間開始
+            strcmd.Append(" ,EndMeetingTime");                                   // 会議時間終了
+            strcmd.Append(" ,CreatorCode");                                      // 作成者コード
+            strcmd.Append(" ,PalceFlag");                                        // 現地フラグ
+            strcmd.Append(" ,MeetingPalce");                                     // 打合せ場所
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");      // 登録年月日
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");     // 更新年月日
+            strcmd.Append(" FROM ProceedingsData");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -112,16 +113,17 @@
         public bool SelectAction(string AddSQLString, ref List<ProceedingsData> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -135,7 +137,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -145,15 +147,17 @@
         public bool SelectAction(string AddSQLString, ref ProceedingsData data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
+
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -167,7 +171,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -181,41 +185,41 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(ProceedingsData work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "INSERT INTO ProceedingsData";
+                strcmd.Append("INSERT INTO ProceedingsData");
 
-                strcmd += " (";
+                strcmd.Append(" (");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("{0}", work.ConstructionCode);                      // 工事番号
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat("{0}", work.ConstructionCode);                      // 工事番号
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
-                strcmd += string.Format(", {0}", work.EndMeetingTime);                      // 会議時間終了
-                strcmd += string.Format(", {0}", work.CreatorCode);                         // 作成者コード
-                strcmd += string.Format(", {0}", work.PalceFlag);                           // 現地フラグ
-                strcmd += string.Format(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
+                strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                strcmd.AppendFormat(", {0}", work.EndMeetingTime);                      // 会議時間終了
+                strcmd.AppendFormat(", {0}", work.CreatorCode);                         // 作成者コード
+                strcmd.AppendFormat(", {0}", work.PalceFlag);                           // 現地フラグ
+                strcmd.AppendFormat(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -224,49 +228,49 @@
         #region 複数追加処理
         public bool InsertAction(List<ProceedingsData> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ProceedingsData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ProceedingsData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (ProceedingsData work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("{0}", work.ConstructionCode);                      // 工事番号
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                    strcmd.AppendFormat("{0}", work.ConstructionCode);                      // 工事番号
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                    strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
-                    strcmd += string.Format(", {0}", work.EndMeetingTime);                      // 会議時間終了
-                    strcmd += string.Format(", {0}", work.CreatorCode);                         // 作成者コード
-                    strcmd += string.Format(", {0}", work.PalceFlag);                           // 現地フラグ
-                    strcmd += string.Format(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
+                    strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                    strcmd.AppendFormat(", {0}", work.EndMeetingTime);                      // 会議時間終了
+                    strcmd.AppendFormat(", {0}", work.CreatorCode);                         // 作成者コード
+                    strcmd.AppendFormat(", {0}", work.PalceFlag);                           // 現地フラグ
+                    strcmd.AppendFormat(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -281,33 +285,33 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ProceedingsData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE ProceedingsData";
+                strcmd.Append("UPDATE ProceedingsData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd.AppendFormat(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
-                strcmd += string.Format(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
-                strcmd += string.Format(",EndMeetingTime = {0}", data.EndMeetingTime);          // 会議時間終了
-                strcmd += string.Format(",CreatorCode = {0}", data.CreatorCode);                // 作成者コード
-                strcmd += string.Format(",PalceFlag = {0}", data.PalceFlag);                    // 現地フラグ
-                strcmd += string.Format(",MeetingPalce = '{0}'", data.MeetingPalce);            // 打合せ場所
+                strcmd.AppendFormat(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
+                strcmd.AppendFormat(",EndMeetingTime = {0}", data.EndMeetingTime);          // 会議時間終了
+                strcmd.AppendFormat(",CreatorCode = {0}", data.CreatorCode);                // 作成者コード
+                strcmd.AppendFormat(",PalceFlag = {0}", data.PalceFlag);                    // 現地フラグ
+                strcmd.AppendFormat(",MeetingPalce = '{0}'", data.MeetingPalce);            // 打合せ場所
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -323,18 +327,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ProceedingsData", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ProceedingsData", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -384,21 +388,21 @@
         /// <returns></returns>
         public string CreatePrimarykeyString(int ConstructionCode, DateTime ProceedingsDataDate, int StartMeetingTime = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork += string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
+                strWork.AppendFormat(" WHERE ConstructionCode = {0}", ConstructionCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
+                    strWork.AppendFormat(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
                 if (StartMeetingTime != 0)
-                    strWork += string.Format(" AND StartMeetingTime = {0}", StartMeetingTime);
+                    strWork.AppendFormat(" AND StartMeetingTime = {0}", StartMeetingTime);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
